My Project: dht::IceCandidates Class Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
dht::IceCandidates Class Reference
Inheritance diagram for dht::IceCandidates:
[legend]
Collaboration diagram for dht::IceCandidates:
[legend]

## Public Member Functions
| IceCandidates (Value::Id msg_id, Blob ice)
template<typename Packer>
void | msgpack_pack (Packer &pk) const
virtual void | msgpack_unpack (const msgpack::object &o)
Public Member Functions inherited from dht::EncryptedValue< IceCandidates >
virtual void | unpackValue (const Value &v) override
Public Member Functions inherited from dht::Value::Serializable< T >
virtual const ValueType & | getType () const
virtual Value | packValue () const

## Static Public Member Functions
static Value::Filter | getFilter ()
Static Public Member Functions inherited from dht::EncryptedValue< IceCandidates >
static Value::Filter | getFilter ()
Static Public Member Functions inherited from dht::SignedValue< T >
static Value::Filter | getFilter ()

## Public Attributes
Value::Id | id {0}
Blob | ice_data
Public Attributes inherited from dht::EncryptedValue< IceCandidates >
dht::InfoHash | to
Public Attributes inherited from dht::SignedValue< T >
Sp< crypto::PublicKey > | owner
dht::InfoHash | from

## Static Public Attributes
static const ValueType | TYPE

## Additional Inherited Members
Public Types inherited from dht::EncryptedValue< IceCandidates >
using | BaseClass

## Detailed Description

Definition at line 170 of file default_types.h.

## Constructor & Destructor Documentation

## ◆ IceCandidates() [1/2]

dht::IceCandidates::IceCandidates | ( |  | ) |
| inline

Definition at line 178 of file default_types.h.

## ◆ IceCandidates() [2/2]

dht::IceCandidates::IceCandidates | ( | Value::Id | msg_id,
|  | Blob | ice )
| inline

Definition at line 179 of file default_types.h.

## Member Function Documentation

## ◆ getFilter()

Value::Filter dht::IceCandidates::getFilter | ( |  | ) |
| inlinestatic

Definition at line 184 of file default_types.h.

## ◆ msgpack_pack()

template<typename Packer>

void dht::IceCandidates::msgpack_pack | ( | Packer & | pk | ) | const
| inline

Definition at line 187 of file default_types.h.

## ◆ msgpack_unpack()

virtual void dht::IceCandidates::msgpack_unpack | ( | const msgpack::object & | o | ) |
| inlinevirtual

Definition at line 203 of file default_types.h.

## Member Data Documentation

## ◆ ice_data

Blob dht::IceCandidates::ice_data

Definition at line 214 of file default_types.h.

## ◆ id

Value::Id dht::IceCandidates::id {0}

Definition at line 213 of file default_types.h.

## ◆ TYPE

const ValueType dht::IceCandidates::TYPE
| static

Definition at line 176 of file default_types.h.

The documentation for this class was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/default_types.h